#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=djangorestframework_api_key
# Tests need a "real" database.
export PYBUILD_DISABLE=test

%:
	dh $@ --with mkdocs --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf html .mypy_cache .pytest_cache

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. mkdocs build -v --clean --site-dir build/html
	rm -f html/requirements.* build/html/sitemap.xml.gz
endif

override_dh_mkdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_mkdocs
endif
